=== debian/control ===
Source: ros-indigo-epos-library
Section: misc
Priority: extra
Maintainer: Mitchell Wills <mwills@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://www.maxonmotorusa.com/medias/sys_master/root/8815100788766/EPOS-Command-Library-En.pdf
Standards-Version: 3.9.2

Package: ros-indigo-epos-library
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: A catkin package that provides the EPOS Command Library
